<?php
require_once "SiemensXMLElement.php";

class IppAction extends SiemensXMLElement {
	
	const TypeMakeCall = "MAKECALL";
	const TypeEndCall = "ENDCALL";
	const TypeTurnLedOn = "TURNLEDON";
	const TypeTurnLedOff = "TURNLEDOFF";
	
	private $type = null;
	
	public function __construct($type = IppAction::TypeMakeCall) {
		
		$attributes = array();
		$attributes["Type"] = $type;
		
		parent::__construct($attributes);
	}
	
	protected function name() {
		return "IppAction";
	}
}